From 5565e32e5c5126c8b197f6f3ed53c4bfed3e33f0 Mon Sep 17 00:00:00 2001
From: Junwang Zhao <zhjwpku@gmail.com>
Date: Tue, 11 Mar 2025 12:15:03 +0000
Subject: [PATCH v14 11/15] handle RTE_GRAPH_TABLE in AcquireRewriteLocks

This patch fixes the crash in ExecCheckPermissions and addresses
the assertion checks that were introduced in commit 525392d.

Author: Amit Langote
---
 src/backend/rewrite/rewriteHandler.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/backend/rewrite/rewriteHandler.c b/src/backend/rewrite/rewriteHandler.c
index c51dd3d2ee4..8fa6edb90eb 100644
--- a/src/backend/rewrite/rewriteHandler.c
+++ b/src/backend/rewrite/rewriteHandler.c
@@ -174,6 +174,7 @@ AcquireRewriteLocks(Query *parsetree,
 		switch (rte->rtekind)
 		{
 			case RTE_RELATION:
+			case RTE_GRAPH_TABLE:
 
 				/*
 				 * Grab the appropriate lock type for the relation, and do not
-- 
2.39.5

